LFR-FSW - Task #615

Validation SWF 22s pour 3.0.0.20
10/02/2016 10:14 AM - Veronique bouzid

Status: Stalled Start date: 10/02/2016
Priority: Normal Due date:

Assignee: thomas chust % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: ro

Description

Suite a l'installation du soft 3.0.0.20, on relance le test avec les swf a 22s. Ce test etait correct en 3.0.0.19 donc
c'est plutot un tests de non regression.

Ce test enchaine

- 1800s de Normal mode
- 900s de SBM1

- 900s de SBM2

- 600s de NORMAL

- 600s de BURST

- 600s de NORMAL

- Fin en STANDBY

Les fichiers (2016_02_10_08_09_20*) sont stockés sur pc-instru /Weeklyerased/Thomas/run-2016-02-10-3.0.0.20-1.1.89/swf-22s
Les fichiers (2016_02_10_08_09_20_*) sont également sur pc-faust9 dans le répertoire
/home/validation/data/R3/3.0.0.20/TESTS-UNITAIRES/all-modes

Contexte du test

FSW 3.0.0.20

VHDL 1.1.89

EM sans Timegen

SocExplorerEngine.getSocExplorer: Version = 0.6.2, Branch = default, Changeset = 819d0376d481
StarDundee

Related issues:
Related to Task #614: 3.0.0.20 Closed 09/02/2016

History

#1 - 10/02/2016 10:38 AM - Veronique bouzid

- Tracker changed from Bug to Task

#2 - 10/02/2016 10:39 AM - Veronique bouzid
- Related to Task #614: 3.0.0.20 added

#3 - 10/02/2016 12:42 PM - thomas chust

- File plot_delta_ SWF_FO0_test.png added

- File plot_delta_ SWF_F1_test.png added

- File plot_delta_ SWF_F2_test.png added

- File tests_time_asm_VHDL-1.1.89_FSW-3.0.0.20_2016_02_09 test b added
- File tests_time_cwf VHDL-1.1.89 FSW-3.0.0.20 2016 02 09 test b added
- File tests_time_swf_VHDL-1.1.89_FSW-3.0.0.20_2016_02_09_test_b added

- Assignee changed from thomas chust to paul leroy

Test concluant. Silimaire a 3.0.0.19 (#613).
Cependant une différence concerne la resynchro: on observe a la fin un "décrochage" vers +4ms. Paul, est-ce lié a ta derniere modif ?
https://hephaistos.lpp.polytechnique.fr/redmine/issues/613

#4 - 10/02/2016 02:45 PM - paul leroy

- Assignee changed from paul leroy to thomas chust

Pour l'instant, je ne vois pas d'autre explication qu'un saut dans la dérive qui du coup serait compensé brutalement (cf #614 et le dessin d'explication

de la resynchro pour 3.0.0.20).

#5 - 10/02/2016 04:52 PM - paul leroy
- File 2016_02_10_14 33 10.png added

J'ai refait un test de mon c6té. Sur un temps long, je ne vois pas de saut brutal.

Je joins les observations effectuées en mode NORMAL, delta_snapshot = 22 secondes, avec transition en SBM1 entre le snapshot 336 et le 337.

Jeu de données préfixé 2016_02_10_14_33_10.

#6 - 11/02/2016 11:29 AM - thomas chust
- Assignee changed from thomas chust to paul leroy

- Priority changed from High to Normal

J'y suis: en fait le "décrochage" observé correspond exactement au moment ou I'on passe de BURST a NORMAL. Cela renvoie donc a la fagon avec
laquelle tu ré-initialises des parametres. A priori cela devrait pouvoir étre amélioré, non ?

#7 - 11/02/2016 11:49 AM - paul leroy

- Assignee changed from paul leroy to thomas chust

Ah oui, si il y a un redémarrage des snapshots, ¢a explique le saut.

Au démarrage, on part a priori avec un retard de au pire T2, soit 3.9ms. C'est peut-étre un manque de chance. Je ne pense pas pouvoir améliorer ¢a.

#8 - 22/03/2021 12:09 PM - Alexis Jeandet
- Status changed from New to Stalled
